# studio::CanvasOptions Class Reference

`#include <canvasoptions.h>`

List of all members.

## Public Member Functions

| CanvasOptions (etl::loose_handle< CanvasView > canvas_view)
| ~CanvasOptions ()
void | refresh ()
void | update_title ()

## Constructor & Destructor Documentation

CanvasOptions::CanvasOptions | ( | etl::loose_handle< CanvasView > | canvas_view | ) |

References _, refresh(), studio::Widget_Vector::set_canvas(), studio::Widget_Vector::set_digits(), and update_title().

CanvasOptions::~CanvasOptions | ( |  | ) |

## Member Function Documentation

void CanvasOptions::refresh | ( |  | ) |

References _, studio::Widget_Vector::set_value(), and update_title().

Referenced by CanvasOptions().

void CanvasOptions::update_title | ( |  | ) |

References _.

Referenced by CanvasOptions(), and refresh().

The documentation for this class was generated from the following files:

- canvasoptions.h
- canvasoptions.cpp